- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_set_mode()

## Synopsis

    void
    mongoc_read_prefs_set_mode (mongoc_read_prefs_t *read_prefs,
                                mongoc_read_mode_t mode);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.
- `mode`: A mongoc_read_mode_t.

## Description

Sets the read preference mode. See the MongoDB website for more information on Read Preferences.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.